package top.dixxe.bombezhka.listeners;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import top.dixxe.bombezhka.Plugin;
import top.dixxe.bombezhka.assets.TntSpawner;
import top.dixxe.bombezhka.events.TelegramMessageEvent;

import java.util.Random;
import java.util.concurrent.TimeUnit;

public class RocketWarningListener implements Listener {
    private Plugin _plugin;

    public  RocketWarningListener(Plugin plugin)
    {
        _plugin = plugin;
    }
    @EventHandler
    public void onTelegramMessage(TelegramMessageEvent event) {
        // Random generator
        Random rand = new Random();

        //_plugin.getServer().broadcastMessage("[Telegram] " + event.getMessage());

        if (_plugin.getServer().getOnlinePlayers().isEmpty()) return;

        _plugin.getLogger().info("Launching rockets.");
        _plugin.getServer().broadcastMessage("§4 РАКЕТНАЯ ОПАСНОСТЬ ВСЕМ СРОЧНО НАПРАВИТСЯ В БОМБОУБЕЖИЩЕ!!!");

        for (Player player : _plugin.getServer().getOnlinePlayers()) {
            for (int i = 0; i < rand.nextInt(1,20) ; i++)
            {
                String coords = TntSpawner.spawnTntNearPlayer(player);
                _plugin.getServer().broadcastMessage("§4 [РАКЕТНАЯ ОПАСНОСТЬ] Ракеты летят в " + coords);
            }
        }


    }
}
