package top.dixxe.bombezhka.commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import top.dixxe.bombezhka.Plugin;
import top.dixxe.bombezhka.assets.TntSpawner;

public class BombCommandExecutor implements CommandExecutor {
    private final Plugin plugin;

    public BombCommandExecutor(Plugin plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (!(sender instanceof Player)) {
            sender.sendMessage("This command can only be used by players!");
            return true;
        }

        Player player = (Player) sender;

        if (!player.isOp()) {
            player.sendMessage(ChatColor.RED + "You don't have permission to use this command!");
            return true;
        }

        TntSpawner.spawnTntNearPlayer(player);

        // Command logic here
        player.sendMessage(ChatColor.GREEN + "Command executed successfully!");
        return true;
    }
}
